


#  -----------------------------------
# dataview
#  -----------------------------------


# test
- classname: _dataview
  target_class: test
  keyname: test_default
  displayname: Test Default DataView
  content: |
    columns:
      - keyname
      - displayname
      
- classname: _dataview
  target_class: test
  keyname: test_fields
  displayname: Test Field DataView
  content: |
    columns:
      - keyname
      - displayname
      - mystring
      - myint
      - myfloat
      - myboolean
      - my_enumerate_abcde
      - my_enumerate_abcde_multi
      - my_schema_test0
      - my_schema_test0_multi


- classname: _dataview
  target_class: test
  keyname: test_welcome
  displayname: Test Welcome DataView
  content: |
    columns:
      - keyname
      - displayname
      - mystring
      - mystring_renamed:
          from: mystring
      - my_enumerate_abcde
      - newcol
      - invalid:
          from: non_existent_column
          add: 5

- classname: _dataview
  target_class: test
  keyname: test_enumerate
  displayname: test enumerate
  description: Test Enumerate UI subfields
  content: |
    columns:
    - keyname
    - displayname
    - abcde:
        from: my_enumerate_abcde
    - abcde_multi:
        from: my_enumerate_abcde_multi



- classname: _dataview
  target_class: test
  keyname: test1_enumerate_inject
  displayname: Test Enumerate Inject Subfields
  content: |
    columns:
      - keyname
      - displayname
      - Enum:
          from: my_enumerate_subfields
      - Widget:
          from: my_enumerate_subfields__widget
      - String:
          from: my_enumerate_subfields__enumstring
      - Boolean:
          from: my_enumerate_subfields__enumboolean
      - Int:
          from: my_enumerate_subfields__enumint
      - Float:
          from: my_enumerate_subfields__enumfloat





# -----------------------------------
# test 0, 1, 2, 3, 4
# -----------------------------------

# test0
- classname: _dataview
  keyname: test0_default
  target_class: test0
  displayname: Test0 Default View
  is_enabled: true
  content: |
    columns:
      - keyname
      - displayname
      - mystring


# test1
- classname: _dataview
  target_class: test1
  keyname: test1_default
  displayname: Test1 Default DataView
  content: |
    columns:
      - keyname
      - displayname
      
- classname: _dataview
  target_class: test1
  keyname: test1_fields
  displayname: Test1 Field DataView
  content: |
    columns:
      - keyname
      - displayname
      - mystring
      - myint
      - myfloat
      - myboolean
      - my_enumerate_abcde
      - my_enumerate_abcde_multi
      - my_schema_test0
      - my_schema_test0_multi


- classname: _dataview
  target_class: test1
  keyname: test1_welcome
  displayname: Test1 Welcome DataView
  content: |
    columns:
      - keyname
      - displayname
      - mystring
      - mystring_renamed:
          from: mystring
      - my_enumerate_abcde
      - newcol
      - invalid:
          from: non_existent_column
          add: 5

- classname: _dataview
  target_class: test1
  keyname: test1_enumerate
  displayname: test1 enumerate
  description: Test Enumerate UI subfields
  content: |
    columns:
    - keyname
    - displayname
    - abcde:
        from: my_enumerate_abcde
    - abcde_multi:
        from: my_enumerate_abcde_multi



- classname: _dataview
  target_class: test1
  keyname: test1_enumerate_inject
  displayname: Test1 Enumerate Inject Subfields
  content: |
    columns:
      - keyname
      - displayname
      - Enum:
          from: my_enumerate_subfields
      - Widget:
          from: my_enumerate_subfields__widget
      - String:
          from: my_enumerate_subfields__enumstring
      - Boolean:
          from: my_enumerate_subfields__enumboolean
      - Int:
          from: my_enumerate_subfields__enumint
      - Float:
          from: my_enumerate_subfields__enumfloat


#  test2
- classname: _dataview
  keyname: test2_default
  target_class: test2
  displayname: Test2 Default Dataview
  is_enabled: true
  content: |
    columns:
      - keyname
      - displayname
      - test1
      - test1__mystring
      - test1__myint
      - test1__myfloat
      - test1__myboolean


#  test3
- classname: _dataview
  keyname: test3_default
  target_class: test3
  displayname: Test3 Default Dataview
  is_enabled: true
  content: |
    columns:
      - keyname
      - displayname
      - test2
      - test1
      - test1__mystring
      - test1__myint
      - test1__myfloat
      - test1__myboolean


#  test4
- classname: _dataview
  keyname: test4_external
  _action: delete

- classname: _dataview
  keyname: test4_default
  target_class: test4
  displayname: Test4 Defautt View with External
  is_enabled: true
  content: |
    columns:
      - keyname
      - displayname
      - test3
      - test1
      - test1__mystring
      - test1__myint
      - test1__myfloat
      - test1__myboolean
